Bug 440962 - Please avoid Fedora-isms
Please avoid Fedora-isms
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-04 14:02 EDT by David Zeuthen
Modified: 2013-03-05 22:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-05 12:31:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Zeuthen 2008-04-04 14:02:36 EDT
/sbin/start_udev claims that /lib/udev/devices is deprecated and that
/etc/udev/makedev.d should be used instead. This is simply not true,
/lib/udev/devices is _not_ deprecated upstream and at and /etc/udev/makedev.d is
a pure Fedora-ism. It seems this is isn't even proposed / discussed upstream either.

This is very bad form, you're forcing all upstream packages that use this
upstream facility to make local invasive changes. Stuff like this needs to
happen upstream. Please revert this. Thanks.
Comment 1 Harald Hoyer 2008-04-05 07:33:39 EDT
well /lib/udev/devices was invented by me. so it is a Fedora-ism also :-)
Comment 2 Kay Sievers 2008-04-05 10:49:41 EDT
Yeah, but you had /etc/udev/devices/, and we both and the Ubuntu guys agreed in
Nov 2005 to make that model the upstream default, but at /lib/udev/devices/. So
/lib/udev/devices/ was never specific to Fedora, I think. :)

http://cvs.fedora.redhat.com/viewcvs/devel/udev/udev.spec?rev=1.122&sortby=date&view=markup

http://git.kernel.org/?p=linux/hotplug/udev.git;a=commitdiff;h=dfc9761d8846a5f6f437fb599bc6817d14efbec2

Cheers,
Kay
Comment 3 Harald Hoyer 2008-04-05 11:42:55 EDT
the problem with devices not in /dev is that people doing s.th. like:
# grep -r /lib _symbol_xyz
are getting bitten by strange errors, so I moved away from /lib/udev/devices in
the first place (after bugzillas for this). 
But, yes, I can remove that warning (or display it only once).
Comment 4 David Zeuthen 2008-04-05 12:27:06 EDT
(In reply to comment #3)
> But, yes, I can remove that warning (or display it only once).

Yes, please remove the warning. Displaying it once isn't really good enough; the
point here is that we don't want Fedora-specific patches for packages using this
facility; does that make sense?
Comment 5 Harald Hoyer 2008-04-05 12:30:43 EDT
udev-120-2

Note You need to log in before you can comment on or make changes to this bug.